## spamassassin 3.3.1

=== debian/changelog ===
spamassassin (3.3.1-1.1) stable; urgency=high

  * Fix the RCVD_ILLEGAL_IP rule to no longer consider addresses
    in the 5.0.0.0/8 range as invalid. (Closes: #696144)
  * Remove tests referencing the NJABL blacklist, which shut
    down as of 1 March, 2013. (Closes: #702839)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 12 Mar 2013 08:06:07 -0700

spamassassin (3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Update several patches now that bugfixes have been incorporated
    upstream.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 21 Mar 2010 23:20:31 -0700

spamassassin (3.3.0-2) unstable; urgency=low

  * Document the fact that auto-whitelist is now disabled by default and that
    this may affect upgrades from version <3.3.0 (Closes: #570734)
  * Stop ignoring output from sa-compile and instead use its undocumented
    "quiet" option.  (Closes: #563802)
  * Don't ignore output from /etc/init.d/spamassassin when reloading spamd
    after sa-update downloads updates (Closes: #565227)
  * Run the contents of /etc/spamassassin/sa-update-hooks.d/ using
    run-parts following a successful download of new rules via sa-update
    in the daily cron script. (Closes: #315961, #567205)
  * Fix a problem in debian/rules where manpage generation for sa-awl and
    sa-check_spamd happened in the wrong rule.
  * Bump standards compliance to 3.8.4 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Mar 2010 00:57:24 -0800

spamassassin (3.3.0-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Jan 2010 22:53:12 -0500

spamassassin (3.2.5-7) unstable; urgency=high

  * Fix a bunch of spelling errors in spamassassin documentation.
  * Add ${misc:Depends} to spamassassin Depends.
  * Fix FH_DATE_PAST_20XX so dates in 2010 aren't considered "grossly 
    in the future"

 -- Noah Meyerhans <noahm@debian.org>  Fri, 01 Jan 2010 12:51:32 -0500

spamassassin (3.2.5-6) unstable; urgency=low

  * Fix call to "make install" in debian/rules to handle changes to
    ExtUtils::MakeMaker in perl. (Closes: #549726)
  * Fix Makefile.PL so DESTDIR actually works when provided on the 
    "make install" commandline.
  * Updated to standards compliance 3.8.3, dropping versioned build-dep on
    perl (>= 5.6.0)
  * Switch from dh_clean -k to dh_prep in debian/rules
  * Add versioned build-dep on debhelper 7

 -- Noah Meyerhans <noahm@debian.org>  Tue, 06 Oct 2009 17:51:02 -0400

spamassassin (3.2.5-5) unstable; urgency=low

  * Remove open-whois.org as it is cybersquatted (Closes: #537477)
  * Update debhelper compatibility level to 7.
  * Apply patch to init script to provide a "status" command (Closes: #530896)
  * Fix missing documentation of spamc exit code 98 (Closes: #539148)
  * Backport IPv6 support for the Received header parser (Closes: #510711)
  * Fix additional pod2man errors. We're finally lintian-clean!
  * Update Standards-Version to 3.8.2 (no changes needed).
  * Fix typo in spamd manpage (Closes: #509273)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Aug 2009 12:07:10 -0400

spamassassin (3.2.5-4) unstable; urgency=low

  * "Lintian, you will torment me no more!"
  * Add patches/60_fix-pod.dpatch to fix a whole mess of pod warnings
  * set -e in prerm, preinst, and postinst per policy
  * Add patches/70_fix-whatis.dpatch to fix lintian's complaints about
    missing whatis entries in several manpages.
  * Fix some more man errors by shortening some long lines.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Feb 2009 12:21:57 -0500

spamassassin (3.2.5-3) unstable; urgency=low

  * Add an alternate dependency on libio-zlib-perl (>= 1.04) to ease
    backporting (yeah, should have been done three uploads ago...)
  * Set myself as the Maintainer per Duncan's request.
  * Explicity set a umask (022) in /etc/cron.daily/spamassassin
  * Don't compress GPG.KEY, since we need to use it during postinst and
    it's small.
  * Add Andrew Schulman's fix for sa-learn to properly handle a case
    where an empty folder list is given as a source of training data.
    (Closes: 491159)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 18 Feb 2009 22:15:20 -0500

spamassassin (3.2.5-2) unstable; urgency=low

  [ Duncan Findlay ]
  * Add Recommends: on libio-socket-inet6-perl (Closes: 481696)
  * Ship GPG.KEY and call sa-update --import in the postinst to work
    around broken key. (Closes: 486408)
  * Work around permissions issues from sa-compile and sa-update. (Closes:
    491232, 470834)

  [ Noah Meyerhans ]
  * Remove obsolete DSBL blacklist (Closes: #501122)
  * Bump standards version to 3.8.0.  This should have been done with
    3.2.5-1, since that's where we made the changes to support this
    version.
  * Document the fact that spamhaus and SURBL are free only for smaller
    sites and may require sites exceeding a certain threshold of mail
    volume to pay for service.  (Closes: #505273)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 17 Nov 2008 00:53:11 -0500

spamassassin (3.2.5-1) unstable; urgency=low

  * New upstream version.  (Closes: 482010, 475526)
  * Remove debian/patches/91_pg_8.1_bayes.dpatch, which is now in upstream's
    release.
  * Stop shipping the entire text of the Apache license now that it's in
    common-licenses.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 17 Jun 2008 21:18:16 -0400

spamassassin (3.2.4-2) unstable; urgency=low

  * Fix Vcs-Svn entry in debian/control
  * Add $syslog to Should-Start in the LSB header in spamassassin.init,
    since we'd like spamd to be able to send its logs somewhere.
  * replaced versioned dependency on libio-zlib-perl with dependency on
    perl-modules >= 5.10 (Closes: #479462)
  * Add myself to Uploaders
  * Incorporate a patch from Ubuntu containing upstream's fix to the SQL
    Bayes store on postgresql 8.1 and above

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 May 2008 21:58:00 -0400


