## spamassassin 3.3.2

=== debian/changelog ===
spamassassin (3.3.2-6ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtests.

 -- Yolanda Robla <yolanda.robla@canonical.com>  Mon, 03 Jun 2013 09:28:42 +0200

spamassassin (3.3.2-6ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add debian/patches/90_missing_tld to restore missing tld that was
      inadvertently dropped from the list upstream.
    - Add debian/patches/91_no_rfc_ignorant to remove all RFC Ignorant related
      rules due to site shutdown.
    - debian/spamassassin.postinst: change upgrade version check from
      "<= 3.3.2-2" to "< 3.3.2-3~". This is necessary for upgrades from
      precise.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 12 Mar 2013 15:29:35 -0400

spamassassin (3.3.2-6) unstable; urgency=low

  * Remove tests referring to NJABL, which has shut down as of March 1, 2013.
    (Closes: #702839)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 11 Mar 2013 22:33:26 -0700

spamassassin (3.3.2-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add debian/patches/90_missing_tld to restore missing tld that was
      inadvertently dropped from the list upstream.
    - Add debian/patches/91_no_rfc_ignorant to remove all RFC Ignorant related
      rules due to site shutdown.
    - debian/spamassassin.postinst: change upgrade version check from
      "<= 3.3.2-2" to "< 3.3.2-3~". This is necessary for upgrades from
      precise.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 08 Mar 2013 10:38:50 -0500

spamassassin (3.3.2-5) unstable; urgency=low

  * Import upstream's fix for a crash in SIGCHLD handler (Closes: #694504)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 28 Jan 2013 21:51:58 -0800

spamassassin (3.3.2-4ubuntu2) quantal; urgency=low

  * Add debian/patches/91_no_rfc_ignorant to remove all RFC Ignorant related
    rules due to site shutdown (LP: #1064541)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Oct 2012 14:19:32 -0400

spamassassin (3.3.2-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1040274), remaining changes:
    - Add debian/patches/90_missing_tld to restore missing tld that was
      inadvertently dropped from the list upstream
  * debian/spamassassin.postinst: change upgrade version check from
    "<= 3.3.2-2" to "< 3.3.2-3~". This is necessary for upgrades from
    precise.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 12:05:50 +0100

spamassassin (3.3.2-4) unstable; urgency=low

  * Incorporate upstream's fix for a bug where malformed multipart MIME
    messages would bypass URIBL rules. (Closes: #684709)
  * Update standards version to 3.9.3 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Aug 2012 21:37:11 -0700

spamassassin (3.3.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/spamassassin.postinst: Create /var/lib/spamassassin.
    Closes: #684373.

 -- Bart Martens <bartm@debian.org>  Sat, 11 Aug 2012 17:29:42 +0000

spamassassin (3.3.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * move GPG.KEY out of /usr/share/doc per §12.3(Closes: #683431)

 -- Shawn Landden <shawnlandden@gmail.com>  Sat, 04 Aug 2012 16:20:46 +0000

spamassassin (3.3.2-3) unstable; urgency=low

  * Run sa-update and sa-compile as a non-root user. 
    (Closes: 623861, 504154)
  * Store the default gpg keyring in /var/lib/spamassassin
  * Pod cleanup (Closes: 521064)
  * Note sa-check_spamd's incompatibility with Nagios EPM (Closes: 598573)
  * Adjust perms on /var/lib/spamassassin/compiled after running sa-compile 
    in the cron.daily, not on all of /var/lib/spamassassin
  * Set CFLAGS and LDFLAGS using dpkg-buildflags (Closes: 674016)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 14 Jun 2012 23:00:01 -0700

spamassassin (3.3.2-2ubuntu1) precise; urgency=low

  * Add debian/patches/90_missing_tld to restore missing tld that was
    inadvertently dropped from the list upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Mar 2012 01:56:22 -0400

spamassassin (3.3.2-2) unstable; urgency=low

  * Remove dependencies on libdigest-sha1-perl, since it's being 
    removed from Debian. (Closes: #629612)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 18 Aug 2011 17:07:05 -0700

spamassassin (3.3.2-1) unstable; urgency=low

  * New upstream rc release. (Closes: 615590, 626191, 630327, 626751, 631583)
  * Bump standards version to 3.9.2 (no changes)
  * Add a README.source indicating that our orig.tar.gz differs from
    upstream in that we need to delete their debian/ subdirectory.
  * Delete patches that have been incorporated upstream.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 14 May 2011 12:06:12 -0700

spamassassin (3.3.1-2) unstable; urgency=low

  * Disable SSLv2 support due to its removal from OpenSSL (Closes: 622053)
  * Apply a patch from Dominic Hargreaves <dom@earth.li> to register
    spamassassin for the perl-major-upgrade trigger (Closes: 619817)
  * Bump standards version to 3.9.1.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 10 Apr 2011 20:58:34 -0700
