=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: spamassassin
 Section: mail
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Uploaders: Jesus Climent <jesus.climent@hispalinux.es>
 Build-Depends: debhelper (>= 7), perl, libssl-dev,
- libhtml-parser-perl (>= 3.24), libdigest-sha1-perl,
- libnet-dns-perl (>= 0.34), libnetaddr-ip-perl
-Standards-Version: 3.8.4
+ libhtml-parser-perl (>= 3.24), libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
+ hardening-wrapper
+Standards-Version: 3.9.3
 Homepage: http://www.spamassassin.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/spamassassin/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin/trunk/
+XS-Testsuite: autopkgtest
 
 Package: spamassassin
 Architecture: all
 Conflicts: spamass-milter (<< 0.2.0-7), gotmail (<= 0.8.1-1)
 Depends: perl (>= 5.8.0), libhtml-parser-perl (>= 3.43),
- libdigest-sha1-perl, libsocket6-perl, libsys-hostname-long-perl,
- libarchive-tar-perl, libwww-perl, libnet-dns-perl (>=
- 0.34), perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), libnetaddr-ip-perl,
+ libsocket6-perl, libsys-hostname-long-perl, libarchive-tar-perl, 
+ libwww-perl, libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
+ perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), adduser,
  ${misc:Depends}
 Recommends: spamc (>= 2.30), libmail-spf-perl,
  re2c, libsys-syslog-perl, gnupg, gcc, libc6-dev, make, libio-socket-inet6-perl
