=== debian/tests/control ===
Tests: spamassassin_nospam spamassassin_spam daemon
Depends: spamassassin, procps
Restrictions: needs-root
