## spamassassin 3.4.0

=== debian/changelog ===
spamassassin (3.4.0-1ubuntu1) trusty; urgency=medium

  * Add missing python test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 15:55:34 +0100

spamassassin (3.4.0-1) unstable; urgency=low

  * New upstream version! (Closes: 738963, 738872, 738867)
  * Scrub the environment when switching to the debian-spamd user in
    postinst and cron.daily. (Closes: 738951)
  * Enhancements to postinst to better manage ownership of
    /var/lib/spamassassin, via Iain Lane <iain.lane@canonical.com>
    (Closes: 738974)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 14 Feb 2014 22:45:15 -0800

spamassassin (3.3.2-8) unstable; urgency=low

  * Split sa-compile into a separate package. (Closes: 455084)
  * Return an lsb-compliant exit code from /etc/init.d/spamassassin status 
    even if we're disabled in /etc/default/spamassassin. (Closes: 716691)
  * Remove Jesus Climent <jesus.climent@hispalinux.es> from Uploaders.
  * Bump standards version to 3.9.5 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 09 Feb 2014 15:44:35 -0800

spamassassin (3.3.2-7) unstable; urgency=low

  * Incorporate upstream's fix for syntax warnings when running
    under perl 5.18 (Closes: #721565)
  * Bump standards version to 3.9.4 (no changes)
  * Incorporate Ubuntu's dep-8 autopkgtests. (Closes: 710881)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 22 Sep 2013 14:44:37 -0700

spamassassin (3.3.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch 97_bug720499-pod-5.18 from Damyan Ivanov: fix POD errors with
    perl 5.18
    (Closes: #720499)

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Aug 2013 17:48:37 +0200
