=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
-Uploaders: Jesus Climent <jesus.climent@hispalinux.es>
 Build-Depends: debhelper (>= 7), perl, libssl-dev,
  libhtml-parser-perl (>= 3.24), libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
  hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.spamassassin.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/spamassassin/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin/trunk/
@@ -20,11 +19,10 @@
  libsocket6-perl, libsys-hostname-long-perl, libarchive-tar-perl, 
  libwww-perl, libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
  perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), adduser,
- ${misc:Depends}
-Recommends: spamc (>= 2.30), libmail-spf-perl,
- re2c, libsys-syslog-perl, gnupg, gcc, libc6-dev, make, libio-socket-inet6-perl
-Suggests: razor (>= 2.361-2),
- libnet-ident-perl, libio-socket-ssl-perl, libdbi-perl, pyzor,
+ libwww-perl | curl | w3m, ${misc:Depends}
+Recommends: spamc (>= 2.30), sa-compile, libmail-spf-perl,
+ libsys-syslog-perl, gnupg, libio-socket-inet6-perl
+Suggests: razor (>= 2.361-2), libio-socket-ssl-perl, libdbi-perl, pyzor,
  libcompress-zlib-perl, libmail-dkim-perl
 Provides: libmail-spamassassin-perl
 Description: Perl-based spam filter using text analysis
@@ -55,3 +53,12 @@
  This package is useless unless you have spamassassin installed,
  either on this machine or another local machine (i.e. a mail server).
 
+Package: sa-compile
+Architecture: all
+Enhances: spamassassin
+Depends: spamassassin (>= 3.3.2-8), re2c, gcc, libc6-dev, make, ${misc:Depends}
+Conflicts: spamassassin (<= 3.3.2-7)
+Description: Tools for compiling SpamAssassin rules into C
+ sa-compile uses "re2c" to compile the site-wide parts of the
+ SpamAssassin ruleset into C code for more efficient processing by
+ spamd or spamassassin.
