=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,16 @@
 
 #export DH_VERBOSE=1
 
+# enable hardening-wrapper when building spamc
+export DEB_BUILD_HARDENING=1
+
 # The architecture-dependent portion of this package can be built separately
 # (i.e. without building the rest).
 
 # Bad things could probably happen if we run this in parallel
 .NOTPARALLEL:
 
-CFLAGS=-O2 -Wall
+CFLAGS=-g -O2
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -67,7 +70,7 @@
 
 	dh_testdir
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS=""
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)"
 
 	pod2man sa-awl.raw sa-awl.1p
 	pod2man sa-check_spamd.raw sa-check_spamd.1p
@@ -92,7 +95,12 @@
 
 #	Get rid of SPAMC stuff.
 	rm debian/spamassassin/usr/bin/spamc debian/spamassassin/usr/share/man/man1/spamc.1p
+#	...and sa-compile
+	rm debian/spamassassin/usr/bin/sa-compile debian/spamassassin/usr/share/man/man1/sa-compile.1p
 
+	dh_install -psa-compile sa-compile /usr/bin
+	install -o root -g root -m664 debian/sa-compile.pre debian/sa-compile/etc/spamassassin
+	dh_installman -psa-compile
 
 #	Move spamd to /usr/sbin + fix the man file
 	sed 's#SPAMD 1#SPAMD 8#' \
@@ -105,26 +113,17 @@
 #	Install Debian specific files
 	cp debian/65_debian.cf debian/spamassassin/etc/spamassassin/65_debian.cf
 
+	install -o root -g root -m644 debian/GPG.KEY debian/spamassassin/usr/share/spamassassin/GPG.KEY
+
 	-rmdir -p debian/spamassassin/usr/lib/perl5
 
-#	dh_installdocs isn't flexible enough to install all the docs to the right place
-#	Do it here!
-	cp debian/copyright debian/GPG.KEY		debian/spamassassin/usr/share/doc/spamassassin/
-	cp debian/spamassassin.README.Debian		debian/spamassassin/usr/share/doc/spamassassin/README.Debian
-	cp CREDITS README TRADEMARK UPGRADE USAGE NOTICE 	debian/spamassassin/usr/share/doc/spamassassin/
-	cp ldap/README 					debian/spamassassin/usr/share/doc/spamassassin/README.ldap
-	cp rules/STATISTICS*.txt 			debian/spamassassin/usr/share/doc/spamassassin/rules/
-	cp spamd/README 				debian/spamassassin/usr/share/doc/spamassassin/README.spamd
-	cp spamd/README.vpopmail 			debian/spamassassin/usr/share/doc/spamassassin/README.spamd-vpopmail
-	cp -r sql/ 					debian/spamassassin/usr/share/doc/spamassassin/
-
+	cp ldap/README debian/spamassassin/usr/share/doc/spamassassin/README.ldap
+	cp spamd/README debian/spamassassin/usr/share/doc/spamassassin/README.spamd
 	cp pkgrules/* debian/spamassassin/usr/share/spamassassin
 
 binary-indep: build-indep install-indep
 	dh_testdir -i
 	dh_testroot -i
-#	dh_installdebconf -i
-#	dh_installlogcheck -i
 	dh_installman -i sa-awl.1p sa-check_spamd.1p
 	dh_installdocs -i
 	dh_installexamples -i
@@ -150,7 +149,7 @@
 
 	-mkdir -p blib/man1
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="" spamc/spamc
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)" spamc/spamc
 
 	pod2man spamc/spamc.pod blib/man1/spamc.1p
 
@@ -168,7 +167,6 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-#	dh_installlogcheck -a
 	dh_installdocs -a
 	dh_installman -a
 	dh_installchangelogs Changes -a
