## spamassassin 3.4.1

=== debian/changelog ===
spamassassin (3.4.1-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 May 2017 22:02:12 -0700

spamassassin (3.4.1-6) unstable; urgency=medium

  * Import upstream fix for spamassassin bug 7226: Enhance whitelist_from_dkim
    to let it accept signing subdomains
  * Import upstream fix for spamassassin bug 7212: Warning of uninitialized
    value in
    Mail::SpamAssassin::PerMsgStatus::get_names_of_tests_hit_with_scores()
  * Add libgeo-ip-perl to Suggests for
    Mail::SpamAssassin::Plugin::URILocalBL (Closes: #841960)
  * Add libnet-patricia-perl to Suggests
  * Documentation updates
  * Promote libmail-dkim-perl to Depends (Closes: #675540)
  * Add missing dependency on lsb-base (>= 3.0-6)
  * Correct an error in debian/watch
  * Fix an error in -stamp file management in debian/rules.
  * Pass CPPFLAGS to gcc when building spamc
  * Allow building against OpenSSL 1.1.0 (Closes: #828552)
  * Acknowledge 3.4.1-5.1 NMU (Closes: #839704)
  * Support passing http_proxy to sa-update if set (Closes: #805009).
  * Run test suite during build (Closes: #784023).
  * Update to debhelper compatibility version 9

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Oct 2016 09:39:27 -0700

spamassassin (3.4.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix uninitialized values in URIDNSBL.pm with Net::DNS 1.01
    (Closes: #760277)

 -- Peter Colberg <peter@colberg.org>  Thu, 29 Sep 2016 23:04:25 -0400

spamassassin (3.4.1-5) unstable; urgency=medium

  * Fix "FTBFS with '.' removed from perl's @INC" with patch from
    Dominic Hargreaves <dom@earth.li> (Closes: #835494)
  * Fix "fails to install: error: gpg required but not found!" by
    making gpg usage optional. (Closes: #831872)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 29 Aug 2016 14:14:31 -0700

spamassassin (3.4.1-4) unstable; urgency=medium

  * Import upstream fix for DnsResolver.pm regression. (Closes: #821385)
  * Bump standards version to 3.9.8

 -- Noah Meyerhans <noahm@debian.org>  Fri, 22 Apr 2016 10:35:05 -0700

spamassassin (3.4.1-3) unstable; urgency=medium

  * Don't try to reload the spamd configuring in cron.daily if spamd
    isn't actually running. (Closes: #774380)
  * Add libhttp-date-perl to spamassassin's Depends. (Closes: #801472)
  * Disable SSLv3 support for network communication between spamc and
    spamd and let IO::Socket::SSL choose the TLS version.
  * Fix debian/watch to not pick up rules archive updates.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 08 Nov 2015 16:12:40 -0800

spamassassin (3.4.1-2) unstable; urgency=medium

  * Clean up a bunch of dependencies; drop versioned deps going back
    to old-oldstable and remove dependency on perl-modules.
    (Closes: #788073)
  * POD documentation fixes.
  * Suggest libencode-detect-perl (Closes: #563293)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 08 Jun 2015 10:16:00 -0700

spamassassin (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Wed, 29 Apr 2015 22:09:45 -0700

spamassassin (3.4.0-6) unstable; urgency=medium

  * Remove references to ahbl.org DNSBL, which has ceased operation.
    (Closes: #774768)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 31 Jan 2015 10:53:22 -0800

spamassassin (3.4.0-5) unstable; urgency=medium

  * Import upstream fix for perl_version warnings (Closes: 771408)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 29 Nov 2014 11:48:48 -0800

spamassassin (3.4.0-4) unstable; urgency=low

  * Improve detection of Net::DNS versions. (Closes: 766718)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Nov 2014 16:59:09 -0800

spamassassin (3.4.0-3) unstable; urgency=low

  * Fix regression that caused the --quiet option to be dropped
    from sa-compile in 3.4.0-2. (Closes: 756402)
  * Update comments in /etc/default/spamassassin to clarify
    systemd integration with spamd (Closes: 764438)
  * Fix spamassassin's handling of the perl-major-upgrade trigger to
    ensure that spamd is restarted upon perl upgrade.
  * Fix the init script such that 'restart' and 'stop' aren't broken if
    the perl binary is replaced on the filesystem. (Closes: 759652)
  * Fix missing python dependency for autopkgtests (Closes: 740171)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Oct 2014 20:12:03 -0700

spamassassin (3.4.0-2) unstable; urgency=low

  * Install a systemd unit file. (Closes: 716887)
  * Use env+start-stop-daemon instead of su in cron jobs.
  * Skip the random pause in cron.daily if running interactively.
  * Apply upstream patch to support new Net::DNS interface.
    (Closes: 752542)
  * Use dpkg-buildflags instead of the deprecated hardening-wrapper

 -- Noah Meyerhans <noahm@debian.org>  Tue, 24 Jun 2014 23:44:30 -0700
