=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,14 @@
 
 #export DH_VERBOSE=1
 
-# enable hardening-wrapper when building spamc
-export DEB_BUILD_HARDENING=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # The architecture-dependent portion of this package can be built separately
 # (i.e. without building the rest).
 
 # Bad things could probably happen if we run this in parallel
 .NOTPARALLEL:
-
-CFLAGS=-g -O2
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -34,7 +32,7 @@
 
 	perl Makefile.PL INSTALLDIRS=vendor \
 	 DESTDIR=$(CURDIR)/debian/spamassassin \
-	 CONFDIR=/etc/spamassassin \
+	 CONFDIR=/etc/spamassassin LDFLAGS="$(LDFLAGS)" \
 	 ENABLE_SSL=yes < /dev/null
 
 	touch configure-stamp
@@ -66,19 +64,20 @@
 
 build-indep: build-indep-stamp
 #build-indep-stamp: configure debian/po/templates.pot
-build-indep-stamp: configure
+build-indep-stamp: configure-stamp
 
 	dh_testdir
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)"
+	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" CFCCFLAGS="" CFLIBS=""
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) test
+endif
+
 
 	pod2man sa-awl.raw sa-awl.1p
 	pod2man sa-check_spamd.raw sa-check_spamd.1p
-
-	touch build-arch-stamp
-
 	touch build-indep-stamp
-
 
 install-indep: install-spamassassin
 
@@ -126,6 +125,7 @@
 	dh_testroot -i
 	dh_installman -i sa-awl.1p sa-check_spamd.1p
 	dh_installdocs -i
+	dh_systemd_enable --no-enable
 	dh_installexamples -i
 	dh_installinit -i -- defaults 19 21
 	dh_installcron -i
@@ -149,7 +149,8 @@
 
 	-mkdir -p blib/man1
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)" spamc/spamc
+	$(MAKE) CFCCFLAGS="" CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
+	  CFLIBS="" spamc/spamc
 
 	pod2man spamc/spamc.pod blib/man1/spamc.1p
