=== debian/watch ===
version=2

http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian uupdate
