## spamassassin 3.4.2

=== debian/changelog ===
spamassassin (3.4.2-0+deb8u3) jessie-security; urgency=medium

  * CVE-2020-1930, CVE-2020-1931: arbitrary code execution via maliciously
    crafted rule files.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 17 Feb 2020 11:21:08 +0100

spamassassin (3.4.2-0+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2018-11805: remote code execution via update files downloaded from
    malicious channels.
  * CVE-2019-12420: denial of service via crafted messages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 16 Dec 2019 12:15:38 +0100

spamassassin (3.4.2-0+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * New upstream version to fix several security issues and critical bugs:
    - CVE-2017-15705: Denial of service issue in which certain unclosed
      tags in emails cause markup to be handled incorrectly leading to
      scan timeouts. (Closes: 908969)
    - CVE-2016-1238: Unsafe usage of "." in @INC in a configuration
      script.
    - CVE-2018-11780: potential Remote Code Execution bug with the
      PDFInfo plugin. (Closes: 908970)
    - CVE-2018-11781: local user code injection in the meta rule syntax.
      (Closes: 908971)
    - BayesStore: bayes_expire table grows, remove_running_expire_tok not
      called (Closes: 883775)
    - Fix use of uninitialized variable warning in PDFInfo.pm
      (Closes: 865924)
    - Fix "failed to parse plugin" error in
      Mail::SpamAssassin::Plugin::URILocalBL (Closes: 891041)
    - SSLv3 support removed from spamc
  * Don't recursively chown /var/lib/spamassassin during postinst.
    (Closes: 889501)
  * Update SysV init script to cope with upstream's change to $0.
  * Run test suite during build (Closes: #784023).
  * Refresh patches
  * Removed patches merged upstream:
    - 30_edit_README
    - 35_bug752542-libnet-dns-perl.patch
    - 97_bug720499-pod-5.18
    - bug_771408_perl_version
    - bug_774768_disable_ahbl
  * Added patch to silence extra debugging messages (Closes: #913571)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 30 Oct 2018 13:28:29 -0400
