=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,11 @@
 
 build-indep: build-indep-stamp
 #build-indep-stamp: configure debian/po/templates.pot
-build-indep-stamp: configure-stamp
+build-indep-stamp: configure
 
 	dh_testdir
 
-	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" CFCCFLAGS="" CFLIBS=""
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)"
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) test
@@ -77,7 +77,11 @@
 
 	pod2man sa-awl.raw sa-awl.1p
 	pod2man sa-check_spamd.raw sa-check_spamd.1p
+
+	touch build-arch-stamp
+
 	touch build-indep-stamp
+
 
 install-indep: install-spamassassin
 
@@ -149,8 +153,7 @@
 
 	-mkdir -p blib/man1
 
-	$(MAKE) CFCCFLAGS="" CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
-	  CFLIBS="" spamc/spamc
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)" spamc/spamc
 
 	pod2man spamc/spamc.pod blib/man1/spamc.1p
