=== debian/watch ===
version=2

http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-(.*)\.tar\.gz \
    debian uupdate
